-----------------------------------------------------------------------------

if not AceLibrary:HasInstance("FuBarPlugin-2.0") then return end

-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AloftFu")

-----------------------------------------------------------------------------

L:RegisterTranslations("enUS", function() return {
	["Aloft"] = true,
    ["Fubar Options"] = true,
    ["Standard FuBar options"] = true,
	["Click to toggle nameplates."] = true,

	["HostileNameplatesEnabled"] = "Hostile nameplates |cff00ff00enabled|r.",
	["HostileNameplatesDisabled"] = "Hostile nameplates |cffff0000disabled|r.",
	["FriendlyNameplatesEnabled"] = "Friendly nameplates |cff00ff00enabled|r.",
	["FriendlyNameplatesDisabled"] = "Friendly nameplates |cffff0000disabled|r.",
} end)

-----------------------------------------------------------------------------

local AloftFu = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0", "AceEvent-2.0", "AceDB-2.0")
AloftFu:RegisterDB("AloftFuDB")
AloftFu.title = "Aloft"
AloftFu.name = "FuBar - Aloft"
AloftFu.hasIcon = "Interface\\Icons\\Spell_Frost_Wisp"	-- Placeholder
AloftFu.defaultPosition = 'LEFT'
AloftFu.hideWithoutStandby = true
AloftFu.independentProfile = true
AloftFu.cannotDetachTooltip = true
AloftFu.hasNoColor = true
 
-----------------------------------------------------------------------------

AloftFu.OnMenuRequest = Aloft.Options

local args = AceLibrary("FuBarPlugin-2.0"):GetAceOptionsDataTable(AloftFu)
if not AloftFu.OnMenuRequest.args.fubar then
	AloftFu.OnMenuRequest.args.moduleSpacer =
	{
		type = 'header',
		order = 4,
	}
	
	AloftFu.OnMenuRequest.args.fubarSpacer =
	{
		type = 'header',
		order = 300,
	}
	
	AloftFu.OnMenuRequest.args.fubar = 
	{
		type = "group",
		name = L["Fubar Options"],
		desc = L["Standard FuBar options"],
		args = args,
		order = 400,
	}
end

-----------------------------------------------------------------------------

function AloftFu:OnTextUpdate()
	self:SetText(L["Aloft"])
end

local tablet = AceLibrary("Tablet-2.0")
function AloftFu:OnTooltipUpdate()
	local cat = tablet:AddCategory('text', "Nameplates",
									'columns', 1)

	cat:AddLine('text', NAMEPLATES_ON and L["HostileNameplatesEnabled"] or L["HostileNameplatesDisabled"])
	cat:AddLine('text', FRIENDNAMEPLATES_ON and L["FriendlyNameplatesEnabled"] or L["FriendlyNameplatesDisabled"])
	    
	tablet:SetHint(L["Click to toggle nameplates."])
end

function AloftFu:OnClick()
	if NAMEPLATES_ON then
		HideNameplates()
		NAMEPLATES_ON = false
	else
		ShowNameplates()
		NAMEPLATES_ON = true
	end
end

-----------------------------------------------------------------------------
